Bug 145304 - bad mime types for .JPG on smb
bad mime types for .JPG on smb
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 03:42 EST by Francois Bles
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 01:27:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francois Bles 2005-01-17 03:42:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD sparc64; en-US; rv:1.7.2)
Gecko/20040922

Description of problem:
When browsing smb shares in nautilus, .JPG files have
application/octet-stream mime type (.jpg have image/jpeg)
When specifing nautilus to open those files with eog, the viewer is
launched bud does not displays the files.
When answering to open with gimp, that works as expected.
Those files are not previeved in nautilus (.jpg are)
When drag'n'dropping .JPG files from smb share to desktop, there are
correctly previeved, have the correct type (image/jpeg) and can be
opened by clicing them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Browse smb shares with nautilus
2. Try to open a .JPG file (not .jpg)
3. Try to force to open them with eog
4. Watch that the file is not opened
    

Additional info:
Comment 1 John Tanner 2005-02-10 12:35:14 EST
The capitalisation of JPG seems to affect image previews in Gnome and
the ability to set a file as a background.

If you mv foobar.JPG foobar.jpg then EOG, Previews, and Backgrounds
all work
Comment 2 Matthew Miller 2006-07-10 18:00:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-04 01:27:23 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora 8
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.